if not Translations then Translations = {} end
if not Translations.Equalizer then Translations.Equalizer = {} end

local translationTable = {
	["German"] = {
		["Equalizer Version "]	   = "Equalizer Version ",
		[" installed!"] 	   = " installiert!",
		["Using role "] 	   = "Verwende Rolle ",
		["Equalizer Configuration: Role "]  = "Equalizer Konfiguration: Rolle",
		["Abilities to watch:"] = "zu beobachtende Fähigkeiten",
		["on"]			   = "auf",
		["player"]		   = "Spieler",
		["focus"]		   = "Fokus",
		["<empty>"]		   = "<leer>",
		["Edit marked Ability:"]   = "Markierte Fähigkeit bearbeiten",
		["watch Buff:"]		   = "Buff beobachten",
		["maximum Stacks:"]	   = "maximale Stapel:",
		["on unit:"]		   = "auf Einheit:",
		["ability to use"]	   = "Fähigkeit zu verwenden",
		["Delete"]		   = "Löschen",
		["Save"]		   = "Sichern",
		["Add"]			   = "Hinzufügen",
		["Up"]			   = "Hoch",
		["Down"]		   = "Runter",
		["stacks"]		   = "Stapel",
		["Watchlist changes postponed till you leave combat"] = "Änderungen werden erst am Ende des Kampfs aktiv",
		["Layout changes postponed till you leave combat"] = "Änderungen werden erst am Ende des Kampfs aktiv",
		["Usage"]		   = "Verwendung",
		["Usage: /eq role <name/number>, e.g. /eq role 2"]
					   = "Verwendung: /eq role <Name/Nummer>, z.B. /eq role Tank",
		["Settings copied from role "] = "Einstellungen kopiert von Rolle ",
		
		["* Life"] = "* Leben",
		["* Mana"] = "* Mana",
	}
}

function Translations.Equalizer.L(x)
	local lang=Inspect.System.Language()
	if  translationTable[lang]
	and translationTable[lang][x] then
		return translationTable[lang][x]
	elseif lang == "English"  then
		return x
	else
		if not translationTable[lang] then translationTable[lang]={} end
		translationTable[lang][x]=x		-- prevent further spam
		print ("No translation yet for '" .. lang .. "'/'" .. x .. "'")
		return x
	end
end
