local AddonData, PrivateTable=...

local function L(x) return Translations.Equalizer.L(x) end 

Equalizer = {}
Equalizer.Version = AddonData.toc.Version
Equalizer.DefaultSettings = {
	currentRole = "1", 
	role = {
	},
	buttonsize = 20,
	barheight = 200,
	xpos = 500,
	ypos = 600,
}
Equalizer.secureMode = false

function Equalizer.VariablesLoaded(addon) 
	if (addon == "Equalizer") then
		if not Equalizer_Settings then
			Equalizer_Settings = Equalizer.DefaultSettings
		end
		if not Equalizer_Settings.role then
			Equalizer_Settings.role = {}
		end		
		if not Equalizer_Settings.currentRole then
			Equalizer_Settings.currentRole = "1"
		end
		if not Equalizer_Settings.role[Equalizer_Settings.currentRole] then
			Equalizer_Settings.role[Equalizer_Settings.currentRole]={}
		end
		if not Equalizer_Settings.buttonsize then Equalizer_Settings.buttonsize = Equalizer.DefaultSettings.buttonsize end
		if not Equalizer_Settings.barheight then Equalizer_Settings.barheight = Equalizer.DefaultSettings.barheight end
		if not Equalizer_Settings.xpos then Equalizer_Settings.xpos = Equalizer.DefaultSettings.xpos end
		if not Equalizer_Settings.ypos then Equalizer_Settings.ypos = Equalizer.DefaultSettings.ypos end
		if tonumber(Equalizer_Settings.othersAlpha) == nil then Equalizer_Settings.othersAlpha=0.2 end
		if tonumber(Equalizer_Settings.bgAlpha)     == nil then Equalizer_Settings.bgAlpha=1 end
		Equalizer_Session = {}
		Equalizer_Session["knownBuffs"] = {}
		Equalizer_Session["knownAbilities"] = {}
	end
end

table.insert(Event.Addon.SavedVariables.Load.End, { Equalizer.VariablesLoaded, "Equalizer", "VariablesLoaded" })
